summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Michael Filz2010-12-16 21:16:22 +0100
committer Erik Hanson2010-12-17 14:56:26 +0100
commitf2b31ff5dccb2b4c7494d82d867fd9a23242c30a (patch)
tree06bc6d2be459f08d185c1d0997df9f65ae92bb11 /network
parent5b3418da65fe0c69f16ebcd59ad6331392c6ab9c (diff)
downloadslackbuilds-f2b31ff5dccb2b4c7494d82d867fd9a23242c30a.tar.gz
network/licq: Added (ICQ instant messenger)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/licq/README13
-rw-r--r--network/licq/doinst.sh3
-rw-r--r--network/licq/licq.SlackBuild103
-rw-r--r--network/licq/licq.info10
-rw-r--r--network/licq/slack-desc19
5 files changed, 148 insertions, 0 deletions
diff --git a/network/licq/README b/network/licq/README
new file mode 100644
index 0000000000..d7f2d973c2
--- /dev/null
+++ b/network/licq/README
@@ -0,0 +1,13 @@
+Licq is an instant messaging client for *nix Systems. It is a full
+featured ICQ client, although Jabber support has been added recently
+as well. It features a plugin structure that allows for different
+front ends, protocols and more.
+
+By default the qt4-gui, console, auto-reply and aosd plugins are
+built. This requires libaosd as well as cdk and can be overridden by
+setting the PLUGINS environment variable to a space seperated list of
+auto-reply, forwarder, osd, rms, aosd, console, jabber, msn, qt4-gui.
+
+Optional dependencies are cdk for the console, libxosd for the osd and
+libaosd for the aosd plugin respectivly, all available from
+SlackBuilds.org.
diff --git a/network/licq/doinst.sh b/network/licq/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/licq/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/licq/licq.SlackBuild b/network/licq/licq.SlackBuild
new file mode 100644
index 0000000000..e7407c16a7
--- /dev/null
+++ b/network/licq/licq.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for licq
+# Written by Michael Filz <the_emmel@gmx.net>
+
+PRGNAM=licq
+VERSION=${VERSION:-1.5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PLUGINS=${PLUGINS:-"qt4-gui console auto-reply aosd"}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+
+cd ../plugins
+
+for PLUG in $PLUGINS
+do
+ cd $PLUG
+ mkdir -p build
+ cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS -I$PKG/usr/include" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_MODULE_PATH=$PKG/usr/share/licq/cmake \
+ ..
+ make
+ make install DESTDIR=$PKG
+ cd ../..
+done
+
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar \
+ INSTALL LICENSE README* doc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/licq/licq.info b/network/licq/licq.info
new file mode 100644
index 0000000000..feb276d990
--- /dev/null
+++ b/network/licq/licq.info
@@ -0,0 +1,10 @@
+PRGNAM="licq"
+VERSION="1.5.0"
+HOMEPAGE="http://www.licq.org"
+DOWNLOAD="http://downloads.sourceforge.net/licq/licq-1.5.0.tar.bz2"
+MD5SUM="49f4d325c06e45cfeeee34c870bade47"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michael Filz"
+EMAIL="the_emmel@gmx.net"
+APPROVED="Erik Hanson"
diff --git a/network/licq/slack-desc b/network/licq/slack-desc
new file mode 100644
index 0000000000..116ff458ca
--- /dev/null
+++ b/network/licq/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+licq: Licq (ICQ instant messenger)
+licq:
+licq: Licq is an instant messaging client for *nix Systems. It is a full
+licq: featured ICQ client, although Jabber support has been added recently
+licq: as well. It features a plugin structure that allows for different
+licq: front ends, protocols and more.
+licq:
+licq:
+licq:
+licq: For more information see the Licq home page at
+licq: http://www.licq.org